#!/bin/sh

set -e

#ARCH=amd64
#FNAME=xenial-preinstalled-core-$ARCH.device.tar.gz
ARCH=armhf
FNAME=xenial-preinstalled-core-$ARCH.device.tar.gz
VERSION=4.4.0-2-2

wget -c http://cdimage.ubuntu.com/ubuntu-core/daily-preinstalled/current/$FNAME

rm -rf unpack-kernel-armhf
mkdir -p unpack-kernel-armhf
mkdir -p writable

cd unpack-kernel-armhf
tar xf ../$FNAME

# shuffle stuff around
mv system/* .
rmdir system

mv assets/* .
rmdir assets

# create meta
mkdir meta

# create symlinks so that uboot can eventually boot the kernel directly
kernel="$(ls vmlinuz-*)"
initrd="$(ls initrd.img-*)"
ln -s $kernel vmlinuz
ln -s $initrd initrd.img

cat > meta/snap.yaml <<EOF
name: linux-armhf
version: $VERSION
summary: The beagle bone black kernel snap
architectures: [$ARCH]
type: kernel

kernel: $kernel
initrd: $initrd
modules: $(ls -d lib/modules/*)
firmware: lib/firmware
EOF
# dtbs
if [ -d dtbs ]; then
    printf "dtbs: dtbs/ \n" >> meta/snap.yaml
fi


rm -f hardware.yaml

cd ..

# needs root for root owned files
fakeroot snappy build --squashfs unpack-kernel-armhf

