#!/bin/sh

set -e

if [ "$(id -u)" != "0" ]; then
    echo "Need root for the mknod stuff :/"
    exit 1
fi

ARCH=arm64
FNAME=xenial-preinstalled-core-$ARCH.tar.gz
VERSION="16.04.0-3.arm64"

wget -c http://cdimage.ubuntu.com/ubuntu-core/daily-preinstalled/current/$FNAME

rm -rf unpack-os-arm64
mkdir -p unpack-os-arm64

cd unpack-os-arm64
# needs root for mknod
tar xf ../$FNAME

# some dirs we need
mkdir -p lib/modules
mkdir -p lib/firmware
mkdir -p writable

mkdir meta
cat > meta/snap.yaml <<EOF
name: ubuntu-core
summary: The ubuntu-core OS snap
version: $VERSION
architectures: [$ARCH]
vendor: Canonical
type: os
EOF
cd ..

# needs root for root owned files
snappy build --squashfs unpack-os-arm64

