#!/bin/sh

set -e

if [ "$(id -u)" != "0" ]; then
    echo "Need root for the mknod stuff :/"
    exit 1
fi

ARCH=armhf
FNAME=xenial-preinstalled-core-$ARCH.tar.gz

wget -c http://cdimage.ubuntu.com/ubuntu-core/daily-preinstalled/current/$FNAME

rm -rf unpack-os-armhf
mkdir -p unpack-os-armhf

cd unpack-os-armhf
# needs root for mknod
tar xf ../$FNAME

# some dirs we need
mkdir -p lib/modules
mkdir -p lib/firmware
mkdir -p writable

mkdir meta
cat > meta/snap.yaml <<EOF
name: ubuntu-core
version: 16.04.0-7.armhf
summary: The ubuntu-core OS snap
architectures: [$ARCH]
type: os
EOF

cd ..

# needs root for root owned files
snappy build --squashfs unpack-os-armhf

