#!/bin/sh

set -e

if [ "$(id -u)" != "0" ]; then
    echo "Need root for the mknod stuff :/"
    exit 1
fi

ARCH=amd64
FNAME=xenial-preinstalled-core-$ARCH.tar.gz
VERSION="16.04.0-12"

wget -c http://cdimage.ubuntu.com/ubuntu-core/daily-preinstalled/current/$FNAME

rm -rf unpack-os
mkdir -p unpack-os

cd unpack-os
# needs root for mknod
tar xf ../$FNAME

# some dirs we need
mkdir -p lib/modules
mkdir -p lib/firmware
mkdir -p writable
# FIXME: remove once we have everything in /snaps
mkdir -p gadget

mkdir meta
# we keep this for compatibility for a bit
cat > meta/package.yaml <<EOF
name: ubuntu-core
version: $VERSION
architecture: $ARCH
vendor: Canonical
type: os
EOF
cat > meta/readme.md <<EOF
The ubuntu-core OS snap
EOF

cat > meta/snap.yaml <<EOF
name: ubuntu-core
version: $VERSION
summary: The ubuntu-core OS snap
architectures: [$ARCH]
type: os
EOF
cd ..


# needs root for root owned files
snappy build --squashfs unpack-os

